| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# arg

$Revision: 1.3 $

$Date: 2002/06/12 11:18:00 $

arg — An argument in a `CmdSynopsis`

## Synopsis

### Mixed Content Model

    arg ::=
    (#PCDATA|arg|group|option|synopfragmentref|replaceable|sbr)*

### Attributes

Common attributes

Name | Type | Default

rep

Enumeration:
norepeat
repeat

"norepeat"

choice

Enumeration:
opt
plain
req

"opt"

## Description

See `CmdSynopsis` for more information.

### Processing expectations

May be formatted inline or as a displayed block, depending on context.

### Parents

These elements contain arg: `arg`, `cmdsynopsis`, `group`, `synopfragment`.

### Children

The following elements occur in arg: `arg`, `group`, `option`, `replaceable`, `sbr`, `synopfragmentref`.

## Attributes

choice

  `Choice` indicates whether the `Arg` is required (`Req` or `Plain`) or optional (`Opt`). Arguments identified as `Plain` are required, but are shown without additional decoration.

rep

  A `Rep` value of `Repeat` indicates that the `Arg` is reapeatable. This is frequently rendered with an ellipsis.

## See Also

`cmdsynopsis`, `group`, `refsynopsisdiv`, `sbr`, `synopfragment`, `synopfragmentref`.

## Examples

For examples, see `cmdsynopsis`, `refentry`, `synopfragment`.

areaspec |  | article

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.